#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/lib --with-curl

override_dh_auto_install:
	dh_auto_install

	# remove .la files
	rm debian/libpam-pkcs11/lib/security/*.la
	rm debian/libpam-pkcs11/lib/pam_pkcs11/*.la

	rm -r debian/libpam-pkcs11/usr/share/doc/pam_pkcs11
